# Class ContentDelta

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a content delta.

    public abstract class ContentDelta

Inheritance
  object
  ContentDelta

Derived
  CitationDelta
  JsonDelta
  TextDelta

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ContentDelta(string)

Initializes a new instance of the ContentDelta class.

    protected ContentDelta(string type)

#### Parameters

`type` string

  The type of the content delta.

## Properties

### Type

Gets the type of the content delta.

    public string Type { get; init; }

#### Property Value

string